﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Interop;
using System.Windows.Printing;
using System.ComponentModel;

namespace OutOfBrowser
{
    public partial class MainPage : UserControl, INotifyPropertyChanged
    {
        private SalesReport _salesPeople = new SalesReport();
        public SalesReport SalesPeople
        {
            get
            {
                return _salesPeople;
            }
            set
            {
                _salesPeople = value;
                if (null != PropertyChanged)
                    PropertyChanged(this, new PropertyChangedEventArgs("SalesPeople"));
            }

        }

        public MainPage()
        {
            InitializeComponent();

            InitializeSalesData(SalesPeople);
            this.DataContext = this;           
        }

        private void InitializeSalesData(SalesReport _salesData)
        {
            _salesData.Add(new SalesPerson("Aaberg Jesper", 123));
            _salesData.Add(new SalesPerson("Adams Ellen", 1230));
            _salesData.Add(new SalesPerson("Adams Terry", 400));
            _salesData.Add(new SalesPerson("Penor Lori", 1023));
            _salesData.Add(new SalesPerson("Pfeiffer Michael", 850));
            _salesData.Add(new SalesPerson("Philips Carol", 1250));
            _salesData.Add(new SalesPerson("Poe Toni", 370));
            _salesData.Add(new SalesPerson("Hicks  Cassie", 1340));
            _salesData.Add(new SalesPerson("Barber David", 125.8));
            _salesData.Add(new SalesPerson("Doe Jhon", 899.99));
        }

        private void btnSalesReport_Click(object sender, RoutedEventArgs e)
        {

        }       

        private void btnDeleteRow_Click(object sender, RoutedEventArgs e)
        {
           
        }

        private void btnAddRow_Click(object sender, RoutedEventArgs e)
        {
          
        }

        private void btnClearTable_Click(object sender, RoutedEventArgs e)
        {

        }

        #region INotifyPropertyChanged Members

        public event PropertyChangedEventHandler PropertyChanged;

        #endregion      
    }
}
