﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;

namespace OutOfBrowser
{
  public partial class ToastWindow : UserControl, INotifyPropertyChanged
  {
    public ToastWindow()
    {
      InitializeComponent();

      this.DataContext = this;

    }

    private string _Subject1;
    public string Subject1
    {
      get { return _Subject1; }
      set
      {
        _Subject1 = value;

        if (null != PropertyChanged)
          PropertyChanged(this, new PropertyChangedEventArgs("Subject1"));
      }
    }

    private string _Subject2;
    public string Subject2
    {
      get { return _Subject2; }
      set
      {
        _Subject2 = value;

        if (null != PropertyChanged)
          PropertyChanged(this, new PropertyChangedEventArgs("Subject2"));
      }
    }

    public NotificationWindow theParent { get; set; }


    #region INotifyPropertyChanged Members

    public event PropertyChangedEventHandler PropertyChanged;

    #endregion

    private void Button_Click(object sender, RoutedEventArgs e)
    {
      if (null != theParent)
        theParent.Close();
    }
  }
}
