﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Media.Imaging;
using System.IO;
using System.ComponentModel;

namespace Silverlight4.Labs.PictureBrowser
{
    public class ImageInfo : INotifyPropertyChanged
    {
        public ImageInfo()
        {
          IsLocal = false;
        }

        public BitmapImage Image { get; set; }
        public string ImageName { get; set; }
        public int ImageWidth { get; set; }        
        public int ImageHeight { get; set; }
        private bool _IsLocal;
        public bool IsLocal
        {
          get { return _IsLocal; }
            set
            {
              _IsLocal = value;

                if (null != PropertyChanged)
                  PropertyChanged(this, new PropertyChangedEventArgs("IsLocal"));
            }
        }
        public MemoryStream UnderlyingStream { get; set; }

        #region INotifyPropertyChanged Members

        public event PropertyChangedEventHandler PropertyChanged;

        #endregion
    }
}
